| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_mate_gog Struct Reference

A MATE GOG (Group of GOPs) instance tracking a correlated session of GOPs. More...

`#include <mate.h>`

## Public Attributes
uint32_t | id
const mate_cfg_gog * | cfg
AVPL * | avpl
unsigned | last_n
bool | released
double | expiration
double | idle_expiration
double | start_time
double | release_time
double | last_time
mate_gop * | gops
mate_gop * | last_gop
int | num_of_gops
int | num_of_counting_gops
int | num_of_released_gops
GPtrArray * | gog_keys

## Detailed Description

A MATE GOG (Group of GOPs) instance tracking a correlated session of GOPs.

## Member Data Documentation

## ◆ avpl

AVPL* _mate_gog::avpl

Accumulated Attribute-Value Pair List for this GOG

## ◆ cfg

const mate_cfg_gog* _mate_gog::cfg

GOG configuration type that created this instance

## ◆ expiration

double _mate_gog::expiration

Absolute relative-time at which this GOG expires after full release

## ◆ gog_keys

GPtrArray* _mate_gog::gog_keys

Array of key strings under which this GOG is indexed in the GOG hash

## ◆ gops

mate_gop* _mate_gog::gops

Head of the linked list of GOPs assigned to this GOG

## ◆ id

uint32_t _mate_gog::id

Unique GOG identifier within its configuration type

## ◆ idle_expiration

double _mate_gog::idle_expiration

Absolute relative-time at which this GOG times out due to inactivity

## ◆ last_gop

mate_gop* _mate_gog::last_gop

Tail of the GOP linked list for O(1) append

## ◆ last_n

unsigned _mate_gog::last_n

Number of attributes in avpl as of the last update check

## ◆ last_time

double _mate_gog::last_time

Relative time of the most recent activity in any member GOP

## ◆ num_of_counting_gops

int _mate_gog::num_of_counting_gops

Number of GOPs that count toward triggering GOG release

## ◆ num_of_gops

int _mate_gog::num_of_gops

Total number of GOPs assigned to this GOG

## ◆ num_of_released_gops

int _mate_gog::num_of_released_gops

Number of member GOPs that have been released so far

## ◆ release_time

double _mate_gog::release_time

Relative time at which all member GOPs were released

## ◆ released

bool _mate_gog::released

True if all member GOPs have been released

## ◆ start_time

double _mate_gog::start_time

Relative time of the first GOP assigned to this GOG

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/plugins/epan/mate/mate.h